Entitlements
Create Checkout Session
Create a Stripe Checkout session for the calling organization to subscribe to a paid plan. Returns a hosted URL to redirect the customer to. Reuses the organization's existing billing customer.
POST
application/json- body
plan_name*Plan NameInternal identifier of the plan to subscribe to (e.g. 'pro').
success_url*Success UrlAbsolute URL Stripe redirects to after a completed checkout.
cancel_url*Cancel UrlAbsolute URL Stripe redirects to if the customer cancels.
Successful Response
application/json- response
url*UrlHosted Stripe Checkout URL to redirect the customer to.
curl -X POST 'https://api.bettermenu.live/entitlements/checkout' \ -H 'Content-Type: application/json' \ -d '{ "plan_name": "string", "success_url": "string", "cancel_url": "string"}'Example Response
{ "url": "string"}